import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/rohame/c66da4d5fb31f35bf2a02d6417a38f64/raw/d23b8d71d34aa2c529a625a19d459e1fa6dbcd5a/combined_logan_data.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.date = new Date(d.DATE);
      d.TMAX = +d.TMAX;
      d.TMIN = +d.TMIN;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};